/**
 * 产生随机数，并且将产生随机数插入到gen_customer,
 * 
 */


set echo on

create or replace procedure gen_customer 
is
    v_new_cid customers.pin_number%type;
begin 
   loop 
    begin 
        v_new_cid := round(dbms_random.value(100000,999999));
        insert into customers values (v_new_cid);
        --commit;
        exit;
-- 将原来中的下面部分注释掉了，当出现报错时就会出现bug
--    exception 
--        when dup_val_on_irdex then 
--            null;
    end;
   end loop;
end;
/
